Skip to main content
POST
Resolve Close Review Decision

Authorizations

Authorization
string
header
required

Quanta Services API scoped bearer token. Supported only on Services API routes.

Path Parameters

qid
string
required

Body

application/json
decision_key
string
required
Minimum string length: 1
status
enum<string>
required
Available options:
DONE,
APPLIED,
PARTIALLY_APPLIED,
NOT_RIGHT
chosen_option_id
string | null
reason_code
enum<string> | null
Available options:
WRONG_FIX,
NOT_AN_ISSUE,
WRONG_PERIOD,
NEEDS_CUSTOMER,
OTHER
reason_text
string | null
reason
string | null
Required string length: 1 - 500

Response

Successful Response

decision_key
string
required
status
enum<string>
required
Available options:
DONE,
APPLIED,
PARTIALLY_APPLIED,
NOT_RIGHT
chosen_option_id
string | null
required
reason_code
enum<string> | null
required
Available options:
WRONG_FIX,
NOT_AN_ISSUE,
WRONG_PERIOD,
NEEDS_CUSTOMER,
OTHER
reason_text
string | null
required
created_by_user_qid
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
result_record
ActionTarget · object | null
resolved_by_name
string | null